std Namespace Reference
C++ Language Interface

The standard C++ namespace. More...

## Detailed Description

The standard C++ namespace.

The Parma Polyhedra Library conforms to the C++ standard and, in particular, as far as reserved names are concerned (17.4.3.1, [lib.reserved.names]). The PPL, however, defines several template specializations for the standard library class template `numeric_limits` (18.2.1, [lib.limits]).

Note
  The PPL provides the specializations of the class template `numeric_limits` not only for PPL-specific numeric types, but also for the GMP types `mpz_class` and `mpq_class`. These specializations will be removed as soon as they will be provided by the C++ interface of GMP.